EMD GP38-2 – BNSF H1

Log in to Purchase $14.99

JointedRail content is currently supported ONLY in Trainz: A New Era SP4 build 105766 thru current Trainz Railroad Simulator 2022 versions UNLESS OTHERWISE NOTED ON THE PRODUCT PAGE. Items may require connection to the N3V download station for common dependencies.

Model and textures by Ryan Rasmussen

Last update: February 2, 2017

Description